Program Abort;

{$NOMAIN}
{ Version  3.0
  File:[22,310]ABORT.PAS
  Author: Jim Bostwick 29-Aug-83

  Last Edit:  23-JUN-1988 22:03:56 

  History:
	 23-JUN-1988 21:55:15  - JMB PA3UTL upgrade.

}

Procedure Abort(Msg:packed array [lo..Hi:Integer] of Char; 
  		Code:Integer
  	);External;

{*USER*
 Will abort current program, after printing message and abort code
to file Output. The abort code also becomes the exit status. Note that
this is a 'normal' exit, and no walkback will be produced. 

Format is :
Program Terminated. Status = xxxx.  <message>
}

%INCLUDE PAS$EXT:EXST.EXT;  {Exit with status }


Procedure Abort;

VAR
  i:Integer;

BEGIN
  Write('Program Terminated. Status = ',code,' -- ');
  For i := lo to hi do write(msg[i]);
  writeln;
  Exst(code)
end;
  

